/**
 * Project Name:tuia-youtui-web<br>
 * File Name:RecommendRsp.java<br>
 * Package Name:com.duiba.tuia.youtui.web.model.rsp<br>
 * Date:2017年4月13日下午4:59:48<br>
 * Copyright (c) 2017, duiba.com.cn All Rights Reserved.<br>
 */

package com.duiba.tuia.youtui.web.model.rsp;

import com.duiba.tuia.youtui.web.biz.interfaces.ImageBusiness;
import com.duiba.tuia.youtui.web.tool.DomainUtil;
import org.apache.commons.lang.builder.ToStringBuilder;

import java.io.Serializable;

/**
 * ClassName: RecommendRsp <br/>
 * date: 2017年4月13日 下午4:59:48 <br/>
 *
 * @author youhaijun
 * @since JDK 1.7
 */
public class BuoyRsp implements Serializable, ImageBusiness {

    private Long id;

    private String stBuoyInfo;

    private String buoyDestUrl;

    private String styleCode;

    public Long getId() {
        return id;
    }

    public BuoyRsp setId(Long id) {
        this.id = id;
        return this;
    }

    public String getStyleCode() {
        return styleCode;
    }

    public BuoyRsp setStyleCode(String styleCode) {
        this.styleCode = styleCode;
        return this;
    }

    public String getStBuoyInfo() {
        return stBuoyInfo;
    }

    public BuoyRsp setStBuoyInfo(String stBuoyInfo) {
        this.stBuoyInfo = stBuoyInfo;
        return this;
    }

    public String getBuoyDestUrl() {
        return buoyDestUrl;
    }

    public BuoyRsp setBuoyDestUrl(String buoyDestUrl) {
        this.buoyDestUrl = buoyDestUrl;
        return this;
    }


    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

    @Override
    public void replaceDomain(String domain) {
        this.styleCode = DomainUtil.replaceDomain(styleCode, domain);
    }
}
